.component.component-ui-crud-buttons
  .buttons-list
    .button-container(*ngFor="let button of buttons")
      button.button(
        [ngClass]="withButton(button).getButtonCSSClasses()",
        [disabled]="withButton(button).isDisabled()",
        (click)="withButton(button).click()",
      )
        span.icon.is-small(*ngIf="withButton(button).hasFAIcon()")
          i.fa([ngClass]="withButton(button).getFAIconCSSClasses()")
        span.button-title(*ngIf="  withButton(button).shouldTitleBeTranslated(button)") {{ withButton(button).getTitle(button) | translate }}
        span.button-title(*ngIf="! withButton(button).shouldTitleBeTranslated(button)") {{ withButton(button).getTitle(button) }}
